Page MenuHomePhabricator

Bash unable to require a cache file
Closed, ResolvedPublic

Description

/var/www/var/cache/prod/ContainerGddmolr/appProdProjectContainer.php: 750 - Compile Error: require(): Failed opening required '/var/www/var/cache/prod/ContainerGddmolr/getQuoteControllerService.php' (include_path='.:/usr/share/php:/usr/share/pear')

URL: http://xtools.wmflabs.org/bash

Note that Bash is a currently low-priority tool, so we don't need to fix this at any point soon...

XTools version: 3.4.5-

Event Timeline

Restricted Application added a project: User-Matthewrbowker. · View Herald TranscriptSep 25 2018, 4:31 PM
Matthewrbowker triaged this task as Lowest priority.Sep 25 2018, 4:32 PM
Matthewrbowker moved this task from Inbox to Other on the XTools board.
Matthewrbowker moved this task from Inbox to Created on the User-Matthewrbowker board.
MusikAnimal closed this task as Resolved.Sep 25 2018, 9:05 PM
MusikAnimal claimed this task.
MusikAnimal moved this task from Other to Complete on the XTools board.
MusikAnimal added a subscriber: MusikAnimal.

Resolved by manually deleted the cache directory. Same issue as T204155 and T203339. The bash tool was never tested hence why this went unnoticed. This shouldn't happen again, until the next Symfony upgrade -- which will be soon! :) Now we know what to do though, just rm -rf var/cache/prod.